Get a cluster
curl --request GET \
--url https://{controlPlaneURL}/api/svc/v1/clusters/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://{controlPlaneURL}/api/svc/v1/clusters/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{controlPlaneURL}/api/svc/v1/clusters/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "jqfwg345gi25n5ju2yz5iz6m",
"fqn": "<string>",
"manifest": {
"type": "cluster",
"name": "<string>",
"environment_names": [
"<string>"
],
"collaborators": [
{
"subject": "<string>",
"role_id": "<string>"
}
],
"base_domains": [
"<string>"
],
"monitoring": {
"loki_url": "<string>",
"victoria_logs_url": "<string>",
"prometheus_url": "<string>",
"kubecost_url": "<string>"
},
"default_registry_fqn": "<string>",
"workbench_config": {
"notebook_config": {
"base_domain": "<string>"
},
"ssh_server_config": {
"base_domain": "<string>",
"port": 123
},
"default_storage_class": "<string>"
},
"spark_config": {
"ui_base_domain": "<string>"
},
"ingress_controller_config": {
"ingress_class_name": "nginx",
"tls_enabled": false
},
"cluster_integration_fqn": "<string>",
"workflow_storage_integration_fqn": "<string>",
"supported_nodepools": [
{
"name": "<string>",
"description": "<string>"
}
],
"node_label_keys": {
"nodepool_selector_label": "<string>"
},
"ownedBy": {
"account": "<string>"
}
},
"tenantName": "<string>",
"accountId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"createdBySubject": {
"subjectId": "<string>",
"subjectSlug": "<string>",
"subjectDisplayName": "<string>",
"subjectPatName": "<string>",
"subjectControllerName": "<string>",
"subjectExternalIdentitySlug": "<string>"
},
"createdBy": "<string>"
}
}{
"statusCode": 123,
"message": "<string>",
"code": 123,
"details": [
{}
]
}{
"statusCode": 123,
"message": "<string>",
"code": 123,
"details": [
{}
]
}Clusters
Get a cluster
Get a single cluster by its ID.
GET
/
api
/
svc
/
v1
/
clusters
/
{id}
Get a cluster
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Unique identifier of the cluster.
Response
The cluster with the given ID.
The cluster object.
Show child attributes
Show child attributes
Was this page helpful?
⌘I